Module java.base
Package javax.security.auth

# Interface Refreshable

All Known Implementing Classes:
  `KerberosTicket`

public interface Refreshable
Objects such as credentials may optionally implement this interface to provide the capability to refresh itself. For example, a credential with a particular time-restricted lifespan may implement this interface to allow callers to refresh the time period for which it is valid.

Since:
  1.4
See Also:
  `Subject`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isCurrent()`
Determine if this `Object` is current.
`void`
`refresh()`
Update or extend the validity period for this `Object`.

## Method Details

### isCurrent

boolean isCurrent()
Determine if this `Object` is current.

Returns:
  true if this `Object` is currently current, false otherwise.

### refresh

void refresh() throws RefreshFailedException
Update or extend the validity period for this `Object`.

Throws:
  `SecurityException` - if the caller does not have permission to update or extend the validity period for this `Object`.
  `RefreshFailedException` - if the refresh attempt failed.